org.apache.solr.handler.component

## Class ShardHandler

- java.lang.Object
- - org.apache.solr.handler.component.ShardHandler

- Direct Known Subclasses:
    HttpShardHandler

      public abstract class ShardHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShardHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `cancelAll()`
    `abstract ShardHandlerFactory` | `getShardHandlerFactory()`
    `abstract void` | `prepDistributed(ResponseBuilder rb)`
    `void` | `submit(ShardRequest sreq, String shard, ModifiableSolrParams params)`
    `abstract void` | `submit(ShardRequest sreq, String shard, ModifiableSolrParams params, String preferredHostAddress)`
    `abstract ShardResponse` | `takeCompletedIncludingErrors()`
    `abstract ShardResponse` | `takeCompletedOrError()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShardHandler

          public ShardHandler()

  - ### Method Detail

    - #### prepDistributed

          public abstract void prepDistributed(ResponseBuilder rb)

    - #### submit

          public void submit(ShardRequest sreq,
                             String shard,
                             ModifiableSolrParams params)

    - #### submit

          public abstract void submit(ShardRequest sreq,
                                      String shard,
                                      ModifiableSolrParams params,
                                      String preferredHostAddress)

    - #### takeCompletedIncludingErrors

          public abstract ShardResponse takeCompletedIncludingErrors()

    - #### takeCompletedOrError

          public abstract ShardResponse takeCompletedOrError()

    - #### cancelAll

          public abstract void cancelAll()

    - #### getShardHandlerFactory

          public abstract ShardHandlerFactory getShardHandlerFactory()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.